Bug 855710 - (ghc-blaze-markup) Review Request: ghc-blaze-markup - Blazingly fast markup combinator library
Review Request: ghc-blaze-markup - Blazingly fast markup combinator library
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Narasimhan
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 807225 822840
  Show dependency treegraph
 
Reported: 2012-09-10 01:23 EDT by Jens Petersen
Modified: 2012-11-16 03:30 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-11-16 03:30:13 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
lakshminaras2002: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Jens Petersen 2012-09-10 01:23:15 EDT
Spec URL: http://petersen.fedorapeople.org/reviews/ghc-blaze-markup/ghc-blaze-markup.spec
SRPM URL: http://petersen.fedorapeople.org/reviews/ghc-blaze-markup/ghc-blaze-markup-0.5.1.0-1.fc17.src.rpm
Description: Core modules of a blazingly fast markup combinator library for the Haskell programming language.
Fedora Account System Username: petersen

Needed by latest versions of blaze-html.

http://koji.fedoraproject.org/koji/taskinfo?taskID=4470590
Comment 1 Narasimhan 2012-10-24 00:13:05 EDT
[+]MUST: rpmlint must be run on every package. The output should be posted in the review.
 rpmlint  -i ghc-blaze-markup-0.5.1.0-1.fc17.x86_64.rpm ghc-blaze-markup-devel-0.5.1.0-1.fc17.x86_64.rpm ghc-blaze-markup-0.5.1.0-1.fc17.src.rpm ../ghc-blaze-markup.spec 
ghc-blaze-markup.x86_64: W: spelling-error Summary(en_US) blazingly -> amazingly, glazing
The value of this tag appears to be misspelled. Please double-check.

ghc-blaze-markup.x86_64: W: spelling-error Summary(en_US) combinator -> combination, contaminator, coordinator
The value of this tag appears to be misspelled. Please double-check.

ghc-blaze-markup.x86_64: W: spelling-error %description -l en_US blazingly -> amazingly, glazing
The value of this tag appears to be misspelled. Please double-check.

ghc-blaze-markup.x86_64: W: spelling-error %description -l en_US combinator -> combination, contaminator, coordinator
The value of this tag appears to be misspelled. Please double-check.

ghc-blaze-markup.x86_64: W: spelling-error %description -l en_US http -> HTTP
The value of this tag appears to be misspelled. Please double-check.

ghc-blaze-markup.x86_64: W: spelling-error %description -l en_US jaspervdj -> jasper, Jasper
The value of this tag appears to be misspelled. Please double-check.

ghc-blaze-markup.x86_64: W: spelling-error %description -l en_US html -> HTML, ht ml, ht-ml
The value of this tag appears to be misspelled. Please double-check.

ghc-blaze-markup-devel.x86_64: W: spelling-error Summary(en_US) blazingly -> amazingly, glazing
The value of this tag appears to be misspelled. Please double-check.

ghc-blaze-markup-devel.x86_64: W: spelling-error Summary(en_US) combinator -> combination, contaminator, coordinator
The value of this tag appears to be misspelled. Please double-check.

ghc-blaze-markup-devel.x86_64: W: spelling-error %description -l en_US blazingly -> amazingly, glazing
The value of this tag appears to be misspelled. Please double-check.

ghc-blaze-markup-devel.x86_64: W: spelling-error %description -l en_US combinator -> combination, contaminator, coordinator
The value of this tag appears to be misspelled. Please double-check.

ghc-blaze-markup-devel.x86_64: W: spelling-error %description -l en_US http -> HTTP
The value of this tag appears to be misspelled. Please double-check.

ghc-blaze-markup-devel.x86_64: W: spelling-error %description -l en_US jaspervdj -> jasper, Jasper
The value of this tag appears to be misspelled. Please double-check.

ghc-blaze-markup.src: W: spelling-error Summary(en_US) blazingly -> amazingly, glazing
The value of this tag appears to be misspelled. Please double-check.

ghc-blaze-markup.src: W: spelling-error Summary(en_US) combinator -> combination, contaminator, coordinator
The value of this tag appears to be misspelled. Please double-check.

ghc-blaze-markup.src: W: spelling-error %description -l en_US blazingly -> amazingly, glazing
The value of this tag appears to be misspelled. Please double-check.

ghc-blaze-markup.src: W: spelling-error %description -l en_US combinator -> combination, contaminator, coordinator
The value of this tag appears to be misspelled. Please double-check.

ghc-blaze-markup.src: W: spelling-error %description -l en_US http -> HTTP
The value of this tag appears to be misspelled. Please double-check.

ghc-blaze-markup.src: W: spelling-error %description -l en_US jaspervdj -> jasper, Jasper
The value of this tag appears to be misspelled. Please double-check.

ghc-blaze-markup.src: W: spelling-error %description -l en_US html -> HTML, ht ml, ht-ml
The value of this tag appears to be misspelled. Please double-check.

3 packages and 1 specfiles checked; 0 errors, 20 warnings.

[+]MUST: The package must be named according to the Package Naming Guidelines.
[+]MUST: The spec file name must match the base package %{name}, in the format %{name}.spec
[+]MUST: The package must meet the Packaging Guidelines.
        Naming-Yes
        Version-release - Matches
        License - OK
        No prebuilt external bits - OK
        Spec legibity - OK
        Package template - OK
        Arch support - OK
        Libexecdir - OK
        rpmlint - yes
        changelogs - OK
        Source url tag  - OK, validated.
        Build Requires list - OK
        Summary and description - OK
        API documentation - OK

[+]MUST: The package must be licensed with a Fedora approved license and meet the Licensing Guidelines.
BSD license
[+]MUST: The License field in the package spec file must match the actual license.
[+]MUST: If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package must be included in %doc.
LICENSE file is included.
[+]MUST: The spec file must be written in American English.
[+]MUST: The spec file for the package MUST be legible.
[+]MUST: The sources used to build the package must match the upstream source, as provided in the spec URL. Reviewers should use sha256sum for this task as it is used by the sources file once imported into git. If no upstream URL can be specified for this package, please see the Source URL Guidelines for how to deal with this.
sha256sum blaze-markup-0.5.1.0.tar.gz ghc-blaze-markup-0.5.1.0-1.fc17.src/blaze-markup-0.5.1.0.tar.gz 
ea8c196ba6773893d3da54ad6c70a0be7b63b5f523b66fdef2528fa0f8ef006f  blaze-markup-0.5.1.0.tar.gz
ea8c196ba6773893d3da54ad6c70a0be7b63b5f523b66fdef2528fa0f8ef006f  ghc-blaze-markup-0.5.1.0-1.fc17.src/blaze-markup-0.5.1.0.tar.gz
[+]MUST: The package MUST successfully compile and build into binary rpms on at least one primary architecture.
Built on x86_64.
[+]MUST: If the package does not successfully compile, build or work on an architecture, then those architectures should be listed in the spec in ExcludeArch.
[+]MUST: All build dependencies must be listed in BuildRequires.
[+]MUST: Packages must NOT bundle copies of system libraries.
Checked with rpmquery --list.
[+]MUST: A package must own all directories that it creates.
Checked with rpmquery --whatprovides.
[+]MUST: A Fedora package must not list a file more than once in the spec file's %files listings.
[+]MUST: Permissions on files must be set properly. Executables should be set with executable permissions, for example.
[+]MUST: Each package must consistently use macros.
[+]MUST: The package must contain code, or permissible content.
[+]MUST: Large documentation files must go in a -doc subpackage.
[+]MUST: If a package includes something as %doc, it must not affect the runtime of the application.
[+]MUST: devel packages must require the base package using a fully versioned dependency: Requires: {name} = %{version}-%{release}
[+]MUST: Packages must not own files or directories already owned by other packages.
[+]MUST: All filenames in rpm packages must be valid UTF-8.

Should items
[+]SHOULD: If the source package does not include license text(s) as a separate file from upstream, the packager SHOULD query upstream to include it. 
[-]SHOULD: The description and summary sections in the package spec file should contain translations for supported Non-English languages, if available. 
[-]SHOULD: The reviewer should test that the package builds in mock. 
[-]SHOULD: The package should compile and build into binary rpms on all supported architectures.
[+]SHOULD: The reviewer should test that the package functions as described. A package should not segfault instead of running, for example.
Installed. Loaded Text.Blaze.Renderer.Pretty into ghci. Loads fine.
[+]SHOULD: If scriptlets are used, those scriptlets must be sane. This is vague, and left up to the reviewers judgement to determine sanity.

cabal2spec-diff is OK.

APPROVED
Comment 2 Jens Petersen 2012-10-24 05:06:53 EDT
Thank you for reviewing the package!


New Package SCM Request
=======================
Package Name: ghc-blaze-markup
Short Description: Fast markup combinator library
Owners: petersen
Branches: f18 f17 f16 el6
InitialCC: haskell-sig
Comment 3 Jon Ciesla 2012-10-24 06:59:40 EDT
Git done (by process-git-requests).
Comment 4 Fedora Update System 2012-10-25 01:21:11 EDT
ghc-blaze-markup-0.5.1.1-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/ghc-blaze-markup-0.5.1.1-1.fc17
Comment 5 Fedora Update System 2012-10-25 01:21:22 EDT
ghc-blaze-markup-0.5.1.1-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/ghc-blaze-markup-0.5.1.1-1.el6
Comment 6 Fedora Update System 2012-10-25 01:21:32 EDT
ghc-blaze-markup-0.5.1.1-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/ghc-blaze-markup-0.5.1.1-1.fc18
Comment 7 Fedora Update System 2012-10-25 01:21:42 EDT
ghc-blaze-markup-0.5.1.1-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/ghc-blaze-markup-0.5.1.1-1.fc16
Comment 8 Fedora Update System 2012-10-26 14:35:07 EDT
ghc-blaze-markup-0.5.1.1-1.el6 has been pushed to the Fedora EPEL 6 testing repository.

Note You need to log in before you can comment on or make changes to this bug.